commit: bee4eb97415b905ac1e4f227aa088b16d268458f
Author: Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 6 23:54:43 2021 +0000
Commit: Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Thu Jan 7 01:54:23 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bee4eb97
sys-apps/net-tools: version bump to 2.10
Signed-off-by: Mike Frysinger <vapier <AT> gentoo.org>
sys-apps/net-tools/Manifest | 1 +
sys-apps/net-tools/net-tools-2.10.ebuild | 72 ++++++++++++++++++++++++++++++++
2 files changed, 73 insertions(+)
diff --git a/sys-apps/net-tools/Manifest b/sys-apps/net-tools/Manifest
index f57cda944ee..ddc63e36238 100644
--- a/sys-apps/net-tools/Manifest
+++ b/sys-apps/net-tools/Manifest
@@ -1 +1,2 @@
DIST net-tools-1.60_p20180626073013.tar.xz 228276 BLAKE2B
1545533abf75cb960896994710a02f0e4f5534232057fa9c80d2ec54af84d068d3337a93e869e8377539584eebf4c4d8175e16f19bc12360946ab908b41b2f2f
SHA512
3ea9036c2597e6da3a1d9a61a77bbe0b80c448d42a3cc59469f37255064d9e046b5f331155adac256f9812200342f72624ba1ea27a4ee3696b3c9ad53b6b86eb
+DIST net-tools-2.10.tar.xz 229616 BLAKE2B
0d11a5c12f6447282c65ee74428c1b9f6da9fd6d26ca558813d002fac8a4f03fd25a26231a5f4e45f88d821e9a8281e3be1fea4a832bd09afbc2239634a1c25d
SHA512
aa8f631772da6c16b165065fc5929a206504f2dce19e74a4ffc680f09b40f3a9180bd4bbeaac67e0b32693358b01383bae4fbfcb6061180c130e9e0801d536bf
diff --git a/sys-apps/net-tools/net-tools-2.10.ebuild
b/sys-apps/net-tools/net-tools-2.10.ebuild
new file mode 100644
index 00000000000..cba5fc19344
--- /dev/null
+++ b/sys-apps/net-tools/net-tools-2.10.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit flag-o-matic toolchain-funcs
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="https://git.code.sf.net/p/net-tools/code"
+ inherit git-r3
+else
+ SRC_URI="mirror://sourceforge/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+DESCRIPTION="Standard Linux networking tools"
+HOMEPAGE="http://net-tools.sourceforge.net/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+arp +hostname ipv6 nis nls plipconfig selinux slattach static"
+REQUIRED_USE="nis? ( hostname )"
+
+RDEPEND="selinux? ( sys-libs/libselinux )"
+DEPEND="${RDEPEND}
+ selinux? ( virtual/pkgconfig )
+ app-arch/xz-utils"
+if [[ ${PV} == "9999" ]]; then
+ DEPEND+=" nls? ( sys-devel/gettext )"
+fi
+RDEPEND+="
+ hostname? ( !sys-apps/coreutils[hostname] )
+ !<sys-apps/openrc-0.9.9.3"
+
+set_opt() {
+ local opt=$1 ans
+ shift
+ ans=$("$@" && echo y || echo n)
+ einfo "Setting option ${opt} to ${ans}"
+ sed -i \
+ -e "/^bool.* ${opt} /s:[yn]$:${ans}:" \
+ config.in || die
+}
+
+src_configure() {
+ # Clear out env vars from the user. #599602
+ unset BASEDIR BINDIR SBINDIR
+
+ set_opt I18N use nls
+ set_opt HAVE_AFINET6 use ipv6
+ set_opt HAVE_HWIB has_version '>=sys-kernel/linux-headers-2.6'
+ set_opt HAVE_HWTR has_version '<sys-kernel/linux-headers-3.5'
+ set_opt HAVE_HWSTRIP has_version '<sys-kernel/linux-headers-3.6'
+ set_opt HAVE_SELINUX use selinux
+ set_opt HAVE_ARP_TOOLS use arp
+ set_opt HAVE_HOSTNAME_TOOLS use hostname
+ set_opt HAVE_HOSTNAME_SYMLINKS use nis
+ set_opt HAVE_PLIP_TOOLS use plipconfig
+ set_opt HAVE_SERIAL_TOOLS use slattach
+ if use static ; then
+ append-flags -static
+ append-ldflags -static
+ fi
+ tc-export AR CC
+ yes "" | ./configure.sh config.in || die
+}
+
+src_install() {
+ # We need to use emake by hand to pass ED. #567300
+ emake DESTDIR="${ED}" install
+ dodoc README THANKS TODO
+}